<template>
  <van-nav-bar
    :title="title"
    left-arrow
    @click-left="onClickLeft"
    @click-right="onClickRight"
  />
</template>

<script>
export default {
  name: 'nav-bar',
  props: {
    title: {
      type: String
    }
  },
  methods: {
    onClickLeft() {
      this.$emit('clickLeft')
    },
    onClickRight() {
      this.$emit('clickRight')
    }
  }
}
</script>

<style lang="scss" scoped>
::v-deep .van-nav-bar__content {
  background-color: #469ff7;
  height: 9vw !important;

  * {
    color: white !important;
  }

  .van-icon {
    font-size: 100px;
  }

  .van-nav-bar__title {
    display: flex;
    align-items: center;
    height: 100%;
    font-size: 70px;
    font-weight: bold !important;
  }

}
</style>

